%define major 0
%define minor 3
%define subver 13
%define version %{major}.%{minor}.%{subver}%{?rcrel:rc%{rcrel}}
%define release 1

Summary: Support library for syslog-ng
Name: libol
Version: %{version}
Release: %{release}
License: GPL
Group: System Environment/Libraries
Vendor: BalaBit IT Ltd.
Url: http://www.balabit.hu/products/syslog-ng
Source: http://www.balabit.hu/downloads/%{name}/%{major}.%{minor}/%{name}-%{version}.tar.gz
Buildroot: %{_tmppath}/%{name}-%{version}-root
Prefix: /usr

%description
Support library for syslog-ng.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
Development files for libol library.

%prep
%setup

%build
%configure
make

%install
rm -rf %{buildroot}
%{makeinstall}
rm -f %{buildroot}/%{_bindir}/make_class

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%changelog
* Mon Jan 05 2004 Peter Soos <sp@osb.hu>
- rebuild for Fedora Core 1
* Sun Nov 02 2003 Peter Soos <sp@osb.hu>
- spec file corrections
* Mon Oct 27 2003 Peter Soos <sp@osb.hu>
- moved to 0.3.11
* Tue Oct 14 2003 Peter Soos <sp@osb.hu>
- fixed permissions
* Mon Apr 28 2003 Peter Soos <sp@osb.hu>
- rebuilt under RedHat Linux 9
* Fri Aug 23 2002 Peter Soos <sp@osb.hu>
- rebuilt under RedHat Linux 7.3
* Fri Oct 05 2001 Peter Soos <sp@osb.hu>
- rebuilt under RedHat Linux 7.2 beta
* Thu Sep 06 2001 Peter Soos <sp@osb.hu>
- Moved to version 0.2.24
* Wed Jun 27 2001 Peter Soos <sp@osb.hu>
- Moved to version 0.2.22
* Fri May 04 2001 Peter Soos <sp@osb.hu>
- rebuilt under RedHat Linux 7.1
* Wed Apr 18 2001 Peter Soos <sp@osb.hu>
- some cosmetic changes of spec file
- made package relocatable
* Sun Jul 30 2000 Hollis Blanchard <hollis@penguinppc.org>
- initial RPM

%files
%defattr(0644,root,root,0755)
%doc ChangeLog
%attr(0755,root,root) %{_libdir}/%{name}.so*

%files devel
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{_bindir}/%{name}-config
%{_libdir}/%{name}.*a
%{_includedir}/%{name}
